#14284 closed defect (fixed)

SWORD1: Broken Sword 1 - Error (Can't find game data)

Reported by: nixfreak Owned by: nixfreak
Priority: normal Component: Engine: Sword1
Version: Keywords: No Game data found
Cc: Game: Broken Sword 1

Description (last modified by nixfreak)

Can't run Broken sword 1 on scummvm anymore. Can't even load the game data. Broken since scummvm upgrade to 2.7. Decided to build the latest "daily"

ScummVM 2.8.0git1991-g63af61b1cc2 (Mar 1 2023 22:15:55)
Features compiled in: Vorbis FLAC MP3 ALSA SEQ sndio TiMidity RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 FriBiDi JPEG PNG GIF taskbar TTS cloud (servers, local) TinyGL OpenGL (with shaders)

All games work accept for Broken Sword 1 --- By the way the OpenGL shaders are awesome on Monkey Island.

Linux version: Linux Cha0sX 6.2.1-zen1-1-zen #1 ZEN SMP PREEMPT_DYNAMIC Sun, 26 Feb 2023 03:39:25 +0000 x86_64 GNU/Linux

MD5 of TEXT.CLU - 4edc865fa00933c7d7c9cf761ee3efb1 TEXT.CLU

Broken Sword PC Version

Attachment added of recursive directory for bs1.

Attachments (2)

bs1_recursive.txt (39.9 KB ) - added by nixfreak 12 months ago.
bs1.txt (12.8 KB ) - added by nixfreak 11 months ago.

Download all attachments as: .zip

Change History (20)

comment:1 by nixfreak, 12 months ago

Description: modified (diff)

comment:2 by nixfreak, 12 months ago

Component: Port: LinuxEngine: Sword1
Keywords: No Game data found added; bs1 brokensword1 removed

comment:3 by sev-, 12 months ago

Could you please provide a recursive directory list for your game version?

comment:4 by sev-, 12 months ago

Also, I added changes to the detection code on March 2. Perhaps, now your version is already working?

comment:5 by nixfreak, 12 months ago

Description: modified (diff)

comment:6 by sev-, 12 months ago

Could you please provide recursive directory list? E.g. "ls -lR". The list you provided is only for the top directory.

Also, did you try a more recent build?

Last edited 12 months ago by sev- (previous) (diff)

comment:7 by nixfreak, 12 months ago

ScummVM 2.8.0git2457-gae4f8fbbac4 (Mar 9 2023 12:40:50)
Features compiled in: Vorbis FLAC MP3 ALSA SEQ sndio TiMidity RGB zLib MPEG2 FluidSynth Theora VPX AAC A/52 FreeType2 FriBiDi JPEG PNG GIF taskbar TTS cloud (servers, local) ENet SDL2 TinyGL OpenGL (with shaders)

Just pulled the lastest and still the same issue , "No game data found"

in reply to:  6 comment:8 by nixfreak, 12 months ago

Replying to sev-:

Could you please provide recursive directory list? E.g. "ls -lR". The list you provided is only for the top directory.

Please see attachment.

Also, did you try a more recent build?

This is from the latest git pull.

by nixfreak, 12 months ago

Attachment: bs1_recursive.txt added

comment:9 by nixfreak, 12 months ago

Added recursive bs1 directory list.

comment:10 by nixfreak, 11 months ago

Any update on this?

comment:11 by tag2015, 11 months ago

Summary: Broken Sword 1 - Error (Can't find game data)SWORD1: Broken Sword 1 - Error (Can't find game data)

in reply to:  10 comment:12 by antoniou79, 11 months ago

Replying to nixfreak:

Any update on this?

Does anything change if you put the .clu files in a "clusters" subfolder instead of the top folder?

by nixfreak, 11 months ago

Attachment: bs1.txt added

comment:13 by nixfreak, 11 months ago

No didn't work.

added recursive list of the bs1 directory with clusters directory.

scummvm --version
ScummVM 2.8.0git2457-gae4f8fbbac4 (Mar 9 2023 12:40:50)
Features compiled in: Vorbis FLAC MP3 ALSA SEQ sndio TiMidity RGB zLib MPEG2 FluidSynth Theora VPX AAC A/52 FreeType2 FriBiDi JPEG PNG GIF taskbar TTS cloud (servers, local) ENet SDL2 TinyGL OpenGL (with shaders)

comment:14 by antoniou79, 11 months ago

Could you please clarify the details about your Broken Sword game version? Like language, whether it's a digital (Steam/GOG) or CD release or other etc.

comment:15 by nixfreak, 10 months ago

English version , CD release

comment:16 by antoniou79, 10 months ago

Looking at our detection code, at the non-demo entries, for Windows Platform, non-GOG release, and language EN_ANY, EN_USA or EN_GRB, it should be possible to figure the correct arrangement of data files required:
https://github.com/scummvm/scummvm/blob/master/engines/sword1/detection_tables.h

In your current arrangement as shown in your attached txt file, try this:

  1. move the "SWORDRES.RIF" file in the "clusters" subfolder,
  2. rename your "videos" subfolder to "smackshi".

comment:17 by nixfreak, 10 months ago

That solution worked , awesome thanks so much now I can finish this game.

comment:18 by nixfreak, 10 months ago

Owner: set to nixfreak
Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.